/*
 * FreeUDFLibC - copyright (c) 1999 Gregory Deatz
 *
 *   date_functions.c
 *     Date and time routines:
 *       add_month - add some number of months to a date
 *       add_year - add some number of years to a date
 *       age_in_months - Between "date" and "ref_date", how many months?
 *       age_in_weeks - Between "date" and "ref_date", how many weeks?
 *       cdow_long - Convert the date to a "long" pretty version
 *       cdow_short - Convert the date to a "short" pretty version
 *       cmonth_long - What is the long name of the month?
 *       cmonth_short - What is the short name of the month?
 *       day_of_month - What is the day of the month?
 *       day_of_week - What is the day of the week?
 *       day_of_year - What is the day of the year?
 *       is_leap_year - Is it leap year?
 *       max_date - Compare two dates and return the maximum.
 *       min_date - Compare two dates and return the minimum.
 *       month - What is the month?
 *       quarter - What is the quarter?
 *       strip_date - Strip the date portion of the date
 *       strip_time - Strip the time portion of the date
 *       str_to_time - Given a time string (hh:mm:ss AM/PM) return date of it
 *       week_of_year - What is the week of the year?
 *       woy - Return the year and the week concatenated (199901)
 *       year - What is the year?
 *       year_of_year - Given a date, return the year as it would
 *                      be returned from the week_of_year function.
 */

ISC_QUAD * add_month PROTO_LIST ((ISC_QUAD *, int *));
ISC_QUAD * add_year PROTO_LIST ((ISC_QUAD *, int *));
int age_in_months PROTO_LIST ((ISC_QUAD *, ISC_QUAD *));
int age_in_weeks PROTO_LIST ((ISC_QUAD *, ISC_QUAD *));
char * cdow_long PROTO_LIST ((ISC_QUAD *));
char * cdow_short PROTO_LIST ((ISC_QUAD *));
char * cmonth_long PROTO_LIST ((ISC_QUAD *));
char * cmonth_short PROTO_LIST ((ISC_QUAD *));
int day_of_month PROTO_LIST ((ISC_QUAD *));
int day_of_week PROTO_LIST ((ISC_QUAD *));
int day_of_year PROTO_LIST ((ISC_QUAD *));
int is_leap_year PROTO_LIST ((ISC_QUAD *));
ISC_QUAD * max_date PROTO_LIST ((ISC_QUAD *, ISC_QUAD *));
ISC_QUAD * min_date PROTO_LIST ((ISC_QUAD *, ISC_QUAD *));
int month PROTO_LIST ((ISC_QUAD *));
int quarter PROTO_LIST ((ISC_QUAD *));
ISC_QUAD * strip_date PROTO_LIST ((ISC_QUAD *));
ISC_QUAD * strip_time PROTO_LIST ((ISC_QUAD *));
ISC_QUAD * str_to_time PROTO_LIST ((char *));
int week_of_year PROTO_LIST ((ISC_QUAD *));
char * woy PROTO_LIST ((ISC_QUAD *));
int year PROTO_LIST ((ISC_QUAD *));
int year_of_year PROTO_LIST ((ISC_QUAD *));
