/*
 * FreeUDFLibC - copyright (c) 1999 Gregory Deatz
 *
 *   Test all UDFs with some standard calls.
 */

/* String functions */

/* f_character */
select 'c', f_character(99) from rdb$database;

/* f_crlf */
select f_crlf() from rdb$database;

/* f_encrypt_md5 */
select '0cc175b9c0f1b6a831c399e269772661', f_encrypt_md5('a')
  from rdb$database;

/* f_find_word */
select 'hello', f_find_word('hello world', 0) from rdb$database;

/* f_find_word_index */
select 0, f_find_word_index('hello world', 0) from rdb$database;

/* f_left */
select 'hello', f_left('hello world', 5) from rdb$database;

/* f_line_wrap */
select 'hello', f_line_wrap('hello world', 0, 6) from rdb$database;

/* f_l_trim */
select 'hello world', f_l_trim('  hello world') from rdb$database;

/* f_lr_trim */
select 'hello world', f_lr_trim('  hello world  ') from rdb$database;

/* f_mid */
select 'wor', f_mid('hello world', 6, 3) from rdb$database;

/* f_pad_left */
select '0150', f_pad_left('150', '0', 4) from rdb$database;

/* f_pad_right */
select '1500', f_pad_right('150', '0', 4) from rdb$database;

/* f_proper_case */
select 'Hello World', f_proper_case('hello world') from rdb$database;

/* f_replace */
select 'h59llo world', f_replace('hello world', 'e', '59') from rdb$database;

/* f_right */
select 'world', f_right('hello world', 5) from rdb$database;

/* f_r_trim */
select 'hello world', f_r_trim('hello world  ') from rdb$database;

/* f_soundex */
select 'H4000', f_soundex('hello') from rdb$database;

/* f_string_length */
select 11, f_string_length('hello world') from rdb$database;

/* f_strip_string */
select 'o word', f_strip_string('hello world', 'hel') from rdb$database;

/* f_substr */
select 6, f_substr('hello world', 'wor') from rdb$database;

/*
 * Math routines
 */

/* f_convert_from_33 */
select 1000, f_convert_from_33('WB') from rdb$database;

/* f_convert_to_33 */
select 'WB', f_convert_to_33(1000) from rdb$database;

/* f_convert_from_base */
select 42, f_convert_from_base('101010', 2, '01') from rdb$database;

/* f_convert_to_base */
select '101010', f_convert_to_base(42, 2, '01') from rdb$database;

/* f_convert_to_dollar */
select '$15.29', f_convert_to_dollar(15.29) from rdb$database;

/* f_double_abs */
select 15, f_double_abs(-15) from rdb$database;

/* f_fixed_point */
select '15.379', f_fixed_point(15.3789, 3) from rdb$database;

/* f_integer_abs */
select 15, f_integer_abs(-15) from rdb$database;

/* f_modulo */
select 1, f_modulo(3, 2) from rdb$database;

/* f_round */
select 16, f_round(15.5) from rdb$database;

/* f_truncate */
select 15, f_truncate(15.5) from rdb$database;

/*
 * Date and time routines
 * 6/22/99 is a Tuesday
 */

/* f_add_month */
select '8/22/99', f_add_month('6/22/99', 2) from rdb$database;

/* f_add_year */
select '6/22/97', f_add_year('6/22/99', -2) from rdb$database;

/* f_age_in_months */
select 5, f_age_in_months('6/22/99', '1/1/99') from rdb$database;

/* f_age_in_weeks */
select 1, f_age_in_weeks('6/22/99', '6/15/99') from rdb$database;

/* f_cdow_long */
select 'Tuesday', f_cdow_long('6/22/99') from rdb$database;

/* f_cdow_short */
select 'Tue', f_cdow_short('6/22/99') from rdb$database;

/* f_cmonth_long */
select 'June', f_cmonth_long('6/22/99') from rdb$database;

/* f_cmonth_short */
select 'Jun', f_cmonth_short('6/22/99') from rdb$database;

/* f_day_of_month */
select 22, f_day_of_month('6/22/99') from rdb$database;

/* f_day_of_week */
select 3, f_day_of_week('6/22/99') from rdb$database;

/* f_day_of_year */
select 173, f_day_of_year('6/22/99') from rdb$database;

/* f_is_leap_year */
select 0, f_is_leap_year('6/22/99') from rdb$database;

/* f_is_leap_year */
select 0, f_is_leap_year('6/22/2000') from rdb$database;

/* f_is_leap_year */
select 1, f_is_leap_year('6/22/96') from rdb$database;

/* f_max_date */
select '6/22/99', f_max_date('6/22/99', '6/22/98') from rdb$database;

/* f_min_date */
select '6/22/98', f_min_date('6/22/99', '6/22/98') from rdb$database;

/* f_month */
select 6, f_month('6/22/99') from rdb$database;

/* f_quarter */
select 2, f_quarter('6/22/99') from rdb$database;

/* f_strip_date */
select '12/31/1899', f_strip_date('6/22/99') from rdb$database;

/* f_strip_time */
select '6/22/99', f_strip_time('6/22/99') from rdb$database;

/* f_week_of_year */
select 25, f_week_of_year('6/22/99') from rdb$database;

/* f_woy */
select '199925', f_woy('6/22/99') from rdb$database;

/* f_year */
select 1999, f_year('6/22/99') from rdb$database;

/* f_year_of_year */
select 1999, f_year_of_year('6/22/99') from rdb$database;
