/*
 * FreeUDFLibC - copyright (c) 1999 Gregory Deatz
 *
 *   math_functions.h
 *     Math routines declarations:
 *       convert_from_33 - convert a string (base33) to an integer
 *       convert_to_33 - convert an integer to base33 string
 *       convert_from_base - convert a string (base<n>) to an integer
 *       convert_to_base - convert an integer to a base<n> string
 *       convert_to_dollar - convert a double to a dollar string ($xxxx.xx)
 *       double_abs - get the absolute value of a double
 *       fixed_point - convert a double to a string with <n> decimal points
 *       integer_abs - get the absolute value of an integer
 *       modulo - perform modulo arithmetic
 *       round - round a double to the nearest integer
 *       truncate - return the integer part of a double
 */

int convert_from_33 PROTO_LIST ((char *));
char * convert_to_33 PROTO_LIST ((int *));
int convert_from_base PROTO_LIST ((char *, int *, char *));
char * convert_to_base PROTO_LIST ((int *, int *, char *));
char * convert_to_dollar PROTO_LIST ((double *));
double double_abs PROTO_LIST ((double *));
char * fixed_point PROTO_LIST ((double *, int *));
int integer_abs PROTO_LIST ((int *));
int modulo PROTO_LIST ((int *, int *));
int round PROTO_LIST ((double *));
int truncate PROTO_LIST ((double *));
