/*
 * FreeUDFLibC - copyright (c) 1999 Gregory Deatz
 *
 *   string_functions.h
 *     String routines declarations:
 *       character - return the character based on the passed integer code.
 *       crlf - return the carriage-return string
 *       encrypt_md5 - hash the passed string using the md5 algorithm
 *       find_word - return the word in a string starting at some index
 *       find_word_index - find the index of a word starting at some index
 *       left - return the leftmost <n> characters of a string
 *       line_wrap - based on lines <n> characters long, return the ith line
 *       l_trim - trim whitespace from the left side of the string
 *       lr_trim - trim whitespace from both sides of the string
 *       mid - return a substring of a string
 *       pad_left - pad the left side of a string with some other string
 *       pad_right - pad the right side of a string with some other string
 *       proper_case - proper case the passed string (every word capitalized)
 *       replace - replace character <a> with character <b> in the string
 *       right - return the rightmost <n> characters of a string
 *       r_trim - Trim the right side of a string of whitespace
 *       string_length - How long is this string?
 *       strip_string - Strip a string of unwanted characters
 *       substr - Find a substring within a string
 *       soundex - return the soundex of a string
 */

char * character PROTO_LIST ((int *));
char * crlf PROTO_LIST (());
char * encrypt_md5 PROTO_LIST ((char *));
char * find_word PROTO_LIST ((char *, int *));
int find_word_index PROTO_LIST ((char *, int *));
char * left PROTO_LIST ((char *, int *));
char * line_wrap PROTO_LIST ((char *, int *, int *));
char * l_trim PROTO_LIST ((char *));
char * lr_trim PROTO_LIST ((char *));
char * mid PROTO_LIST ((char *, int *, int *));
char * pad_left PROTO_LIST ((char *, char *, int *));
char * pad_right PROTO_LIST ((char *, char *, int *));
char * proper_case PROTO_LIST ((char *));
char * replace PROTO_LIST ((char *, char *, char *));
char * right PROTO_LIST ((char *, int *));
char * r_trim PROTO_LIST ((char *));
char * soundex PROTO_LIST ((char *));
int string_length PROTO_LIST ((char *));
char * strip_string PROTO_LIST ((char *, char *));
int substr PROTO_LIST ((char *, char *));

